singleton Material(miramar_engine)
{
    mapTo = "miramar_engine";
    diffuseMap[1] = "vehicles/miramar/miramar_engine_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_engine_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_engine_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_raceparts)
{
    mapTo = "miramar_raceparts";
    diffuseMap[2] = "vehicles/miramar/miramar_raceparts_c.dds";
    specularMap[2] = "vehicles/miramar/miramar_raceparts_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_raceparts_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_raceparts_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_raceparts_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_raceparts_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_raceparts_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hatch_bodycolor)
{
    mapTo = "hatch_bodycolor";
    diffuseMap[2] = "vehicles/hatch/double_engine/supertrack_c.dds";
    specularMap[2] = "vehicles/hatch/double_engine/supertrack_s.dds";
    normalMap[2] = "vehicles/hatch/double_engine/white_n.dds";
    diffuseMap[1] = "vehicles/hatch/double_engine/supertrack_d.dds";
    specularMap[1] = "vehicles/hatch/double_engine/supertrack_s.dds";
    normalMap[1] = "vehicles/hatch/double_engine/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hatch/double_engine/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};











singleton Material(shine_metal_gear)
{
    mapTo = "shine_metal_gear";     
    diffuseMap[0] = "vehicles/hatch/double_engine/white.dds";
    specularMap[0] = "vehicles/hatch/double_engine/white.dds";
    normalMap[0] = "vehicles/hatch/double_engine/white_n.dds";
	    diffuseColor[0] = "2 2 2 0.1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(alternateur_)
{
    mapTo = "alternateur_";               
    diffuseMap[0] = "vehicles/hatch/double_engine/white.dds";
    specularMap[0] = "vehicles/hatch/double_engine/white.dds";
    normalMap[0] = "vehicles/hatch/double_engine/white_n.dds";
    diffuseColor[0] = "10 1 1 0.2";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(plastic_black_de)
{
    mapTo = "plastic_black_de";               
    diffuseMap[0] = "vehicles/hatch/double_engine/white.dds";
    specularMap[0] = "vehicles/hatch/double_engine/white.dds";
    normalMap[0] = "vehicles/hatch/double_engine/white_n.dds";
    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};

singleton Material(noshine_metal)
{
    mapTo = "noshine_metal";               
    diffuseMap[0] = "vehicles/hatch/double_engine/white.dds";
    specularMap[0] = "vehicles/hatch/double_engine/white.dds";
    normalMap[0] = "vehicles/hatch/double_engine/white_n.dds";
    diffuseColor[0] = "3 3 3 0.2";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(pigeon)
{
    mapTo = "pigeon";
    diffuseMap[2] = "vehicles/pigeon/pigeon_c.dds";
    specularMap[2] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[2] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[1] = "vehicles/pigeon/pigeon_d.dds";
    specularMap[1] = "vehicles/pigeon/pigeon_s.dds";
    normalMap[1] = "vehicles/pigeon/pigeon_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pigeon/pigeon_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moonhawk)
{
    mapTo = "moonhawk";
    colorPaletteMap[3] = "vehicles/moonhawk/moonhawk_skin_chrome.dds";
    diffuseMap[3] = "vehicles/moonhawk/moonhawk_chrome.dds";
    specularMap[3] = "vehicles/moonhawk/moonhawk_s.dds";
    normalMap[3] = "vehicles/moonhawk/moonhawk_n.dds";
    specularPower[3] = "128";
    pixelSpecular[3] = "1";
    useAnisotropic[3] = "1";
    diffuseMap[2] = "vehicles/moonhawk/moonhawk_c.dds";
    specularMap[2] = "vehicles/moonhawk/moonhawk_s.dds";
    normalMap[2] = "vehicles/moonhawk/moonhawk_n.dds";
    diffuseMap[1] = "vehicles/moonhawk/moonhawk_d.dds";
    specularMap[1] = "vehicles/moonhawk/moonhawk_s.dds";
    normalMap[1] = "vehicles/moonhawk/moonhawk_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/moonhawk/moonhawk_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};









//turbo Textures


singleton Material(shine_black_de)
{
    mapTo = "shine_black_de";
    diffuseMap[0] = "vehicles/hatch/double_engine/white.dds";
    specularMap[0] = "vehicles/hatch/double_engine/white.dds";
    normalMap[0] = "vehicles/hatch/double_engine/white_n.dds";
    diffuseColor[0] = "2 2 2 0.1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(shine_turbo_de)
{
    mapTo = "shine_turbo_de";     
    diffuseMap[0] = "vehicles/hatch/double_engine/shine_w.dds";
    specularMap[0] = "vehicles/hatch/double_engine/shine_w.dds";
    normalMap[0] = "vehicles/hatch/double_engine/white_n.dds";
    diffuseColor[0] = "0.7 0.7 0.7 0.6";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Turbo_de)
{
    mapTo = "Turbo_de";
    diffuseMap[0] = "vehicles/hatch/double_engine/turbotex.dds";
    specularMap[0] = "vehicles/hatch/double_engine/white.dds";
    normalMap[0] = "vehicles/hatch/double_engine/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
	diffuseColor[0] = "1 1 1 0.1";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};